# Ask the documentation assistant

URL: /en/docs/api/help/chat/post
Last Updated: 2026-07-30T21:15:44.904Z

## Description
No description available.

## Available Actions
- Execute POST request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### POST /api/help/chat

**Ask the documentation assistant**

Streams an AI SDK UI message response from the documentation assistant.

When the documentation assistant cannot find a supported answer, Admin Center
records the question as anonymous feedback with opinion `AI Ask`.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Request body** (`application/json`) - required:

- `messages` (array of HelpChatMessage (object), required)
  - `id` (string)
  - `role` (enum: user | assistant | system, required)
  - `parts` (array of HelpChatMessagePart (object), required)
    - `type` (string, required)
    - `text` (string)
- `locale` (enum: en | de | fr)
- `currentPath` (string): Admin Center route where the question was asked.

**Responses:**

- `200` - Documentation assistant stream
- `401` - Unauthorized
  - `error` (string, required)
- `405` - Method not allowed
  - `error` (string, required)
- `502` - Documentation assistant unavailable
  - `error` (string, required)

